<div class="row">
  <div class="col-12">
    <div class="card">
      <div class="card-header">
        <strong *ngIf="id; else newTitle">Edit Category</strong>
        <ng-template #newTitle>
          <strong>New Category</strong>
        </ng-template>
      </div>
      <form [formGroup]="category" (ngSubmit)="onSubmit()">
        <div class="card-body">
          <div class="form-group">
            <label class="form-col-form-label" for="name">Name</label>
            <input type="text" class="form-control" id="name" formControlName="name">
          </div>
          <div class="form-group">
            <label class="form-col-form-label" for="description">Description</label>
            <textarea id="description" name="description" rows="6" class="form-control" formControlName="description"></textarea>
          </div>
          <div class="form-group">
            <label for="parentCategoryId">Parent Category</label>
            <select id="parentCategoryId" name="parentCategoryId" class="form-control" formControlName="parentCategoryId">
              <option value="null">Please select</option>
              <option *ngFor="let parentCategory of categories" [value]="parentCategory.id" [selected]="parentCategory.id === category.value.parentCategoryId">{{ parentCategory.name }}</option>
            </select>
          </div>
        </div>
        <div class="card-footer">
          <button type="submit" class="btn btn-sm btn-primary" [disabled]="category.invalid"><i class="fa fa-dot-circle-o"></i> Submit</button>
          <button type="button" class="btn btn-sm btn-danger" (click)="onGoBack()"><i class="fa fa-arrow-left"></i> Go Back</button>
        </div>
      </form>
    </div>
  </div>
</div>
